NETCONF(8)

NAME
netconf - a script to configure the network

SYNOPSIS
netconf [-q] [-p <prefix>] [-e <num>] [-a] netconf [-H <hostname> ] -i <ip> -n <mask> -g <gw> -d <prim dns> [-s <sec dns> ] netconf [-c]

DESCRIPTION
Netconf allows the root user to configure the network. It defaults to an interactive mode. However, command line options can be used to answer some of the questions.

OPTIONS

-q  Limit generated output

-p  Path prefix for configuration files.

-e  Ethernet card

-a  Use DHCP. (Will override -H, -i, -n, -g, -d, and -s flags)

-H  Hostname

-i  IP address

-n  Netmask

-g  Default Gateway

-d  Primary DNS

-s  Secondary DNS

-h  Usage

-c  Prints list of supported ethernet cards

SEE ALSO
ifconfig(8), dhcpd(8)

NOTES
Must be the root user to execute this script.

AUTHOR
Leith Brandeland <lb.minix@gmail.com>